package praktikum02;

import static org.junit.jupiter.api.Assertions.assertEquals;
import org.junit.jupiter.api.Test;

public class TriangleCheckerTest {
    @Test
    public void testNormalTriangle() {
        assertEquals(TriangleChecker.TriangleType.NORMAL, TriangleChecker.checkTriangle(3, 4, 5));
    }

    @Test
    public void testEquilateralTriangle() {
        assertEquals(TriangleChecker.TriangleType.EQUILATERAL, TriangleChecker.checkTriangle(3, 3, 3));
    }

    // Testfall: Eine Seite ist zu lang
    @Test
    public void testNoTriangle_OneSideTooLong() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(1, 2, 10));
    }

    // Testfall: Eine andere Seite ist zu lang
    @Test
    public void testNoTriangle_SecondSideTooLong() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(10, 1, 2));
    }

    // Testfall: Eine dritte Seite ist zu lang
    @Test
    public void testNoTriangle_ThirdSideTooLong() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(2, 10, 1));
    }

    // Testfall: Eine Seite ist negativ
    @Test
    public void testNoTriangle_NegativeSide() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(-3, 4, 5));
    }

    // Testfall: Zwei Seiten sind negativ
    @Test
    public void testNoTriangle_TwoSidesNegative() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(-3, -4, 5));
    }

    // Testfall: Alle Seiten sind negativ
    @Test
    public void testNoTriangle_AllSidesNegative() {
        assertEquals(TriangleChecker.TriangleType.NONE, TriangleChecker.checkTriangle(-3, -4, -5));
    }

}